低危 exiv2 'Image::printIFDStructure'拒绝服务漏洞

CVE编号

CVE-2017-9953

利用情况

暂无

补丁情况

官方补丁

披露时间

2017-06-27
漏洞描述
Exiv2是一套用于管理图像元数据的C++库和命令行应用程序,它提供了快速容易读取和写入EXIF、IPTC和XMP多种格式的图像元数据。

Exiv2 0.26版本中的Image::printIFDStructure安全漏洞。远程攻击者可借助特制的输入利用该漏洞造成拒绝服务(段错误)。
解决建议
厂商尚未提供漏洞修复方案,请关注厂商主页更新:
http://www.exiv2.org/
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 exiv2 exiv2 0.26 -
运行在以下环境
系统 debian DPKG * Up to
(excluding)
0
运行在以下环境
系统 fedora_28 exiv2 * Up to
(excluding)
0.26-12.fc28
运行在以下环境
系统 fedora_28 exiv2-debuginfo * Up to
(excluding)
0.26-12.fc28
运行在以下环境
系统 fedora_28 exiv2-debugsource * Up to
(excluding)
0.26-12.fc28
运行在以下环境
系统 fedora_28 exiv2-devel * Up to
(excluding)
0.26-12.fc28
运行在以下环境
系统 fedora_28 exiv2-doc * Up to
(excluding)
0.26-12.fc28
运行在以下环境
系统 fedora_28 exiv2-libs * Up to
(excluding)
0.26-12.fc28
运行在以下环境
系统 fedora_28 exiv2-libs-debuginfo * Up to
(excluding)
0.26-12.fc28
阿里云评分
3.1
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-416 释放后使用
阿里云安全产品覆盖情况